## org.apache.commons.collections
Interface ResettableListIterator

All Superinterfaces:
  java.util.Iterator, java.util.ListIterator, ResettableIterator

All Known Implementing Classes:
  ArrayListIterator, EmptyListIterator, ListIteratorWrapper, LoopingListIterator, ObjectArrayListIterator, ReverseListIterator, SingletonListIterator

    public interface ResettableListIterator

extends java.util.ListIterator, ResettableIterator

Defines a list iterator that can be reset back to an initial state.

This interface allows an iterator to be repeatedly reused.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne

Method Summary
`void` `reset()` Resets the iterator back to the position at which the iterator was created.

Methods inherited from interface java.util.ListIterator
`add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Method Detail

### reset

    void reset()

  Resets the iterator back to the position at which the iterator was created.

  Specified by:
    `reset` in interface `ResettableIterator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.